message(STATUS "[INFO] Installing aff3ct")

set (AFFECT_SOURCE_DIR ${CMAKE_SOURCE_DIR}/../third-party/aff3ct)

add_git_submodule(${AFFECT_SOURCE_DIR})

set(AFF3CT_COMPILE_EXE OFF)
set(AFF3CT_COMPILE_STATIC_LIB ON)
set(AFF3CT_POLAR_BIT_PACKING OFF)
set(AFF3CT_COLORS OFF)
set(AFF3CT_PREC 32)

ExternalProject_Add (aff3ct
  SOURCE_DIR ${AFFECT_SOURCE_DIR}
  INSTALL_DIR ${CMAKE_CURRENT_BINARY_DIR}/third-party/aff3ct
  CMAKE_ARGS
   -DCMAKE_BUILD_TYPE=Release
  # -DCMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}
  # -DCMAKE_CXX_FLAGS_RELEASE=${CMAKE_CXX_FLAGS_RELEASE}
   -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/third-party/aff3ct
   -DCMAKE_WINDOWS_EXPORT_ALL_SYMBOLS=TRUE
  # -DCMAKE_C_COMPILER:STRING=${CMAKE_C_COMPILER}
  # -DCMAKE_CXX_COMPILER:STRING=${CMAKE_CXX_COMPILER}
  # -DCMAKE_GENERATOR=${CMAKE_GENERATOR}
  -DAFF3CT_COMPILE_EXE=${AFF3CT_COMPILE_EXE}
  -DAFF3CT_COMPILE_STATIC_LIB=${AFF3CT_COMPILE_STATIC_LIB}
  -DAFF3CT_POLAR_BIT_PACKING=${AFF3CT_POLAR_BIT_PACKING}
  -DAFF3CT_PREC=${AFF3CT_PREC} -DAFF3CT_COLORS=${AFF3CT_COLORS}
  #-DAFF3CT_EXT_STRINGS=OFF
  )

